<?php
//Definicje zmiennych
$A = 1;
$B = 1;
$C = -2;

//Wyświetlenie parametrów równania
echo("Parametry równania: <br>");
echo("A = $A, B = $B, C = $C <br>");

//Sprawdzenie, czy jest to równanie kwadratowe

//$A jest równe zero, równania nie jest kwadratowe
if ($A == 0){
  //$A jest równe zero, równania nie jest kwadratowe
  echo("To nie jest równanie kwadratowe: A = 0!");
}
else{
  //A jest różne od zera, równanie jest kwadratowe

  //Obliczenie delty
  $delta = $B * $B - 4 * $A * $C;

  //Jeśli delta mniejsza od zera
  if ($delta < 0){
     echo ("Delta < 0<br>");
     echo ("To równanie nie ma rozwiązania w zbiorze liczb rzeczywistych!");
  }
  //Jeśli delta równa zero
  else if($delta == 0){
    //Obliczenie wyniku
    $wynik = - $B / (2 * $A);
    echo("Rozwiązanie: x = $wynik");
  }
  //Jeśli delta większa od zera
  //Można też rezygnować z badania tego warunku i zastosować samą instrukcję else
  else if($delta > 0){
    //Obliczenie wyników
    $wynik = (- $B + sqrt($delta)) / (2 * $A);
    echo("Rozwi&plusmn;zanie: x1 = $wynik");
    $wynik = (- $B - sqrt($delta)) / (2 * $A);
    echo(", x2 = $wynik");
  }
}

?>
